> ## Documentation Index
> Fetch the complete documentation index at: https://aisa.one/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Exa Answer

> 通过检索来源并生成有依据的回应，得到一个带引用的直接答案。

提出一个自然语言 `query`，返回一个基于检索来源的直接 `answer`，并同时给出支撑它的 `citations`。用 `type` 控制收集来源时使用的检索模式，用 `text` 让每条引用附带完整页面正文。

提供 `outputSchema` 可以得到结构化的答案对象，而不是纯字符串。每次成功请求固定计费 **\$0.08**；上游 4xx 响应不计费。如果需要原始搜索结果而不是合成答案，请使用 [`post_exa-search`](/docs/zh/api-reference/search/post_exa-search)；如需深度多步研究，请使用 [`post_exa-agent-runs`](/docs/zh/api-reference/search/post_exa-agent-runs)。


## OpenAPI

````yaml openapi/zh/exa.json POST /exa/answer
openapi: 3.0.0
info:
  title: Exa API
  version: 1.0.0
  description: >-
    通过 AIsa 网关开放的 Exa 神经语义搜索 endpoint 的统一 API 文档：Search、Contents、Answer，以及异步的研究型
    Agent Runs。


    Search、Contents 和 Answer 为同步接口，每次成功请求固定计费 $0.08。Agent Runs
    为异步接口：调用方提交任务，然后轮询返回的任务资源以获取状态和结果，每次任务固定计费 $0.10。上游 4xx 响应（例如
    401/403/404）不计费。Exa 返回的 `costDollars` 字段是上游成本明细，仅供参考——客户计费以上述 AIsa 固定价格为准。
servers:
  - url: https://api.aisa.one/apis/v1
security:
  - bearerAuth: []
paths:
  /exa/answer:
    post:
      tags:
        - https://docs.exa.ai/reference/answer
      summary: 获得针对某个问题的带引用直接答案。
      description: 同步接口。检索相关来源并生成带引用的直接答案（或详细摘要）。每次成功请求固定计费 $0.08。
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                query:
                  type: string
                  description: 要回答的问题。
                  example: >-
                    Which manufacturers had the top three global EV sales in
                    2025?
                text:
                  type: boolean
                  description: 包含每条引用的完整页面文本。
                type:
                  type: string
                  enum:
                    - auto
                    - fast
                    - instant
                    - deep-lite
                    - deep
                    - deep-reasoning
                  description: 作答前用于收集来源的检索模式。
                outputSchema:
                  type: object
                  description: 用于结构化答案输出的 JSON Schema。
              required:
                - query
      responses:
        '200':
          description: 答案生成成功。
          content:
            application/json:
              schema:
                type: object
                properties:
                  requestId:
                    type: string
                  answer:
                    description: 生成的答案。为字符串；当提供了 outputSchema 时为结构化对象。
                    nullable: true
                  citations:
                    type: array
                    description: 支撑该答案的来源。
                    items:
                      type: object
                      properties:
                        id:
                          type: string
                        url:
                          type: string
                        title:
                          type: string
                        author:
                          type: string
                        publishedDate:
                          type: string
                        text:
                          type: string
                  costDollars:
                    description: 上游 Exa 的成本明细。仅供参考；客户计费为固定 $0.08。
                    nullable: true
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````